libkmod2_22-1ubuntu4_amd64.deb


Advertisement

Description

libkmod2 - libkmod shared library

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libkmod2_22-1ubuntu4_amd64.deb
Package name libkmod2
Package version 22
Package release 1ubuntu4
Package architecture amd64
Package type deb
Category libs
Homepage -
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 38.83 KB
Installed size 118.00 KB
This library provides an API for insertion, removal, configuration and
listing of kernel modules.

Alternatives

Package Version Architecture Repository
libkmod2_22-1ubuntu5.2_i386.deb 22 i386 Ubuntu Updates Main
libkmod2_22-1ubuntu5.2_amd64.deb 22 amd64 Ubuntu Updates Main
libkmod2_22-1ubuntu4_i386.deb 22 i386 Ubuntu Main
libkmod2 - - -

Requires

Name Value
libc6 >= 2.17

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libkmod2_22-1ubuntu4_amd64.deb
Source Package kmod

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libkmod2 deb package:
    # sudo apt-get install libkmod2

Files

Path
/lib/x86_64-linux-gnu/libkmod.so.2
/lib/x86_64-linux-gnu/libkmod.so.2.3.0
/usr/share/doc/libkmod2/changelog.Debian.gz
/usr/share/doc/libkmod2/copyright

Changelog

2016-03-13 - Andy Whitcroft <apw@ubuntu.com>
kmod (22-1ubuntu4) xenial; urgency=low
* fix brown paper bag error in reinstated package name:
modules-init-tools -> module-init-tools.
2016-03-09 - Andy Whitcroft <apw@canonical.com>
kmod (22-1ubuntu3) xenial; urgency=low
* reinstate module-init-tools transitional package.  (LP: #1550741)
- as we have versioned dependancies from the kernel to this in 14.04
removing this package throws the apt in trusty for a loop preventing
upgrades.
- note that this reverts the P/C/R combo from the previous upload.
2016-03-08 - Andy Whitcroft <apw@ubuntu.com>
kmod (22-1ubuntu2) xenial; urgency=low
* Provides/Conflicts/Replaces: module-init-tools to fix upgrades from
15.10 which has a strict versioned Depends: on kmod.  (LP: #1550741)
2016-02-04 - Andy Whitcroft <apw@ubuntu.com>
kmod (22-1ubuntu1) xenial; urgency=low
* Merge with Debian unstable (LP: #1541917).  Remaining changes:
- Install ubuntu-specific depmod.d and modprobe.d contents.
- Install /etc/modprobe.d/mlx4.conf in libkmod2-udeb for d-i.
- Install upstart job and exit the init script under upstart.
- Mark transitional module-init-tools as Multi-Arch: foreign.
- Drop the alsa-base Breaks, our version is quite different.
- On upgrade, remove obsolete rtc module from /etc/modules.
- Update libtool macros and rerun autoconf for new arches.
2015-12-20 - Marco d'Itri <md@linux.it>
kmod (22-1) unstable; urgency=medium
* New upstream release.
* Set $SOURCE_DATE_EPOCH in debian/rules for reproducibility.
(Closes: #783152)
* Remove the module-init-tools transitional package.
2015-08-20 - Andy Whitcroft <apw@ubuntu.com>
kmod (21-1ubuntu1) wily; urgency=medium
* Merge with Debian unstable (LP: #1487040).  Remaining changes:
- Install ubuntu-specific depmod.d and modprobe.d contents.
- Install /etc/modprobe.d/mlx4.conf in libkmod2-udeb for d-i.
- Install upstart job and exit the init script under upstart.
- Mark transitional module-init-tools as Multi-Arch: foreign.
- Drop the alsa-base Breaks, our version is quite different.
- On upgrade, remove obsolete rtc module from /etc/modules.
- Update libtool macros and rerun autoconf for new arches.
2015-07-05 - Marco d'Itri <md@linux.it>
kmod (21-1) unstable; urgency=medium
* New upstream release. Fixes:
+ spurious spaces in lsmod output. (Closes: #782692)
+ a missing comman in rmmod(8). (Closes: #787548)
* kmod.init: support the modules-load.d directories in /usr.
(Closes: #673747)
* Build the developers' documentation with gtk-doc. (Closes: #789462)
2015-03-08 - Marco d'Itri <md@linux.it>
kmod (20-1) unstable; urgency=medium
* New upstream release.
2015-04-06 - Adam Conrad <adconrad@ubuntu.com>
kmod (18-3ubuntu1) vivid; urgency=medium
* Merge with Debian testing, bringing in /etc/modules migration code
so that systemd doesn't fail on old modules files with parameters.
2014-09-27 - Marco d'Itri <md@linux.it>
kmod (18-3) unstable; urgency=high
* postinst: do not use autodie. (Closes: #762974)
* postinst: do not create an empty etc-modules-parameters.conf.

See Also

Package Description
libkpathsea-dev_2015.20160222.37495-1_amd64.deb TeX Live: path search library for TeX (development part)
libkpathsea6_2015.20160222.37495-1_amd64.deb TeX Live: path search library for TeX (runtime part)
libkrad-dev_1.13.2+dfsg-5_amd64.deb MIT Kerberos RADIUS Library Development
libkrad0_1.13.2+dfsg-5_amd64.deb MIT Kerberos runtime libraries - RADIUS library
libkrb5-26-heimdal_1.7~git20150920+dfsg-4ubuntu1_amd64.deb Heimdal Kerberos - libraries
libkrb5-3_1.13.2+dfsg-5_amd64.deb MIT Kerberos runtime libraries
libkrb5-dev_1.13.2+dfsg-5_amd64.deb Headers and development libraries for MIT Kerberos
libkrb5support0_1.13.2+dfsg-5_amd64.deb MIT Kerberos runtime libraries - Support library
libksba-dev_1.3.3-1_amd64.deb X.509 and CMS support library - development files
libksba8_1.3.3-1_amd64.deb X.509 and CMS support library
liblangtag-common_0.5.7-2ubuntu1_all.deb library to access tags for identifying languages -- data
liblangtag-dev_0.5.7-2ubuntu1_amd64.deb library to access tags for identifying languages -- development
liblangtag-doc_0.5.7-2ubuntu1_all.deb library to access tags for identifying languages -- documentation
liblangtag-gobject0_0.5.7-2ubuntu1_amd64.deb library to access tags for identifying languages
liblangtag1_0.5.7-2ubuntu1_amd64.deb library to access tags for identifying languages
Advertisement
Advertisement